#ifndef CARS_H
#define CARS_H

#include "GrObject.H"

// $Header: p:\\graphics\\CVS/src/GraphicsTown/Cars.H,v 1.2 2000/11/27 10:30:06 gleicher Exp $
// GraphicsTown - CS559-2000, sample solution
//
// colors are an integer into the color table...
class Car : public GrObject {
 public:
  Car(char* type, int color);
  Color color;

  // this draw the whole car - subclasses just redefine "body"
  virtual void draw(DrawingState*);
  virtual void drawAfter(DrawingState*);

  virtual void drawBody(DrawingState*);
  
	float w;		// half width
	float f; 		// length of front part
	float r; 		// length of back part
	float h; 		// height of ground
	float m; 		// height of motor
	float t; 		// height of back part
	float s; 		// slope of windshield
	float a; 		// rake of hood
	float sr;		// side rake of upper part
	float br;		// back rake of upper part

};

class SUV : public Car {
public:
  SUV(int color);
};
class HatchBack : public Car {
public:
  HatchBack(int color);
};
class Van : public Car {
public:
  Van(int color);
};

#endif
